### Method

# GLib Source dup_context

since: 2.86

#### Declaration [src]

    GMainContext*
    g_source_dup_context (
      GSource* source
    )

#### Description [src]

Gets a reference to the `GMainContext` with which the source is associated.

You can call this on a source that has been destroyed. You can always call this function on the source returned from `g_main_current_source()`.

Available since: 2.86

#### Return value

Type: `GMainContext`

The `GMainContext` with which the source is associated, or `NULL` if the context has not yet been added to a source.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.